//* Problem  : 1169 - Error Correction
//* Contest  : acm.tju.edu.cn
//* Type     : Solution
//* Date     : 2007.07.26
//* Author   : alt
//* Language : C++
//* Compiler : Microsoft Visual C++ 6.0

#include <stdio.h>
#include <math.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>

int n;
int col[101], row[101];
int pcol, prow;

int main()
{
	int i, j, t;
	while (scanf("%i", &n) == 1 && n)
	{
		memset(col, 0, sizeof(col)); memset(row, 0, sizeof(row));
		pcol = prow = 0;
		// Input matrix (optimization possible)
		for (int irow = 1; irow <= n; irow++)
			for (int icol = 1; icol <= n; icol++)
			{
				scanf("%i", &t);
				if (t) {row[irow]++; col[icol]++;}
			}
		// Solving
		for (i = 1; i <= n; i++)
		{
			if (row[i]%2)
			{
				if (!prow) prow = i;
					else prow = -1;
			}
			if (col[i]%2)
			{
				if (!pcol) pcol = i;
					else pcol = -1;
			}
		}
		//
		if (!pcol && !prow) printf("OK\n");
			else if (pcol > 0 && prow > 0) printf("Change bit (%i,%i)\n", prow, pcol);
				else printf("Corrupt\n");
	}
}